Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::GlyphVisAttr Class Reference

A PangoGlyphVisAttr C++ wrapper class. More...

`#include <inti/pango/glyph.h>`

List of all members.

## Public Member Functions

- PangoGlyphVisAttr * pango_glyph_vis_attr () const
    Get a pointer to the PangoGlyphVisAttr structure.
- bool is_cluster_start () const
    Returns true for the first logical glyph in each cluster.

## Detailed Description

A PangoGlyphVisAttr C++ wrapper class.

GlyphVisAttr is used to communicate information between the shaping phase and the rendering phase. It's contents are still evolving.

## Member Function Documentation

bool Inti::Pango::GlyphVisAttr::is_cluster_start | ( |  | ) | const

| Returns true for the first logical glyph in each cluster. Clusters are stored in visual order, within the cluster, glyphs are always ordered in logical order, since visual order is meaningless; that is, in Arabic text, accent glyphs follow the glyphs for the base character.

The documentation for this class was generated from the following file:

- glyph.h

Main Page - Footer